Issue1091

classification
Title: Interactive Interpreter parser doesn't handle docstrings
Type: crash Severity: major
Components: Core Versions: 2.5alpha1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: fwierzbicki, pjenvey
Priority: Keywords:

Created on 2008-07-31.19:49:07 by pjenvey, last changed 2008-09-13.21:23:53 by fwierzbicki.

Messages
msg3376 (view) Author: Philip Jenvey (pjenvey) Date: 2008-07-31.19:49:07
Jython 2.5a1+ (asm:5025:5029M, Jul 31 2008, 12:43:01) 
[Java HotSpot(TM) Client VM (Apple Inc.)] on java1.5.0_13
Type "help", "copyright", "credits" or "license" for more information.
>>> def foo():
... 	"""bar"""
Traceback (most recent call last):
  (no code object) at line 0
  File "<stdin>", line 0
	XXX: missing text
	^
SyntaxError: mismatched input null expecting NEWLINE (<stdin>, line 0)
>>> class Foo: 
... 	"""bar"""
Traceback (most recent call last):
  (no code object) at line 0
  File "<stdin>", line 0
	XXX: missing text
	^
SyntaxError: mismatched input null expecting NEWLINE (<stdin>, line 0)
msg3538 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2008-09-13.21:23:52
I must have fixed this somewhere along the way :).
History
Date User Action Args
2008-09-13 21:23:53fwierzbickisetstatus: open -> closed
resolution: fixed
messages: + msg3538
2008-07-31 19:49:07pjenveycreate